Smashed Blog Development

Gravity Forms 1.4.5 – no such method ‘select’ for tabs widget instance

I recently bumped into the problem mentioned here in the latest WordPress update when using Gravity Forms.

The fix outlined is for Gravity Forms 1.6.4.5.4, I’m using version 1.4.5 so the described changes don’t exist.
Below is a fix for the latter.

Locate the file js.php in wp-content/plugins/gravityforms/

Find this line around 1251:

jQuery("#field_settings").appendTo(".field_selected").tabs("select", 0);

and change to:

jQuery("#field_settings").appendTo(".field_selected").tabs("option", "active", 0);

Hope that helps!